package com.bocloud.nms.model.veeam;

public class RepositoryStateModel {

    private String type;
    private String id;
    private String name;
    private String description;
    private String hostId;
    private String hostName;
    private String path;
    private Double capacityGB;
    private Double freeGB;
    private Double usedSpaceGB;

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getHostId() {
        return hostId;
    }

    public void setHostId(String hostId) {
        this.hostId = hostId;
    }

    public String getHostName() {
        return hostName;
    }

    public void setHostName(String hostName) {
        this.hostName = hostName;
    }

    public String getPath() {
        return path;
    }

    public void setPath(String path) {
        this.path = path;
    }

    public Double getCapacityGB() {
        return capacityGB;
    }

    public void setCapacityGB(Double capacityGB) {
        this.capacityGB = capacityGB;
    }

    public Double getFreeGB() {
        return freeGB;
    }

    public void setFreeGB(Double freeGB) {
        this.freeGB = freeGB;
    }

    public Double getUsedSpaceGB() {
        return usedSpaceGB;
    }

    public void setUsedSpaceGB(Double usedSpaceGB) {
        this.usedSpaceGB = usedSpaceGB;
    }

}
